#include "asprite.h"

void SP_MOVE1(int sp,int x,int y)
// 1スプライトの移動
// x,yはスプライト座標として正しいこと
// (0,0)-(1023,1023) ただし、グラフィックとは１６ずれる
{
int stk;
unshort *s;
	stk=B_SUPER(0);
	// スプライトレジスタアドレス計算
	s=SP_ADRS(sp,0);
	*s++=(unshort)x;
	*s  =(unshort)y;
	B_SUPER(stk);
}
